/*
**  CADWriter Dialog Control File.
**  Copyright (c) 1992
**  CAD Lettering Systems, Inc.
**  PO Box 832
**  Oldsmar, FL 34677
**  USA.
**
*/

/* ------------------- */
/* CADWRITER: REGISTER */
/* ------------------- */
cw_register : dialog {
    label = " CADWriter: Registration ";
    children_alignment = centered;
    : row {
        : list_box {
            width = 72;
            height = 14;
            key = "register_help";
        }
    }
    : row {
        : column {
            fixed_width = true;
            : row {
                : text {
                    label = "   Reference Number: ";
                }
                : text {
                    key = "reference";
                    width = 20;
                }
            }
            : edit_box {
                label = "        User's Name:";
                alignment = right;
                edit_width = 30;
                edit_limit = 58;
                key = "user_name";
                mnemonic = "U";
            }
            : edit_box {
                label = "Registration Number:";
                alignment = right;
                edit_width = 30;
                edit_limit = 28;
                key = "user_id";
                mnemonic = "N";
            }
        }
        : column {
            fixed_width = true;
            : button {
                label = "Register User";
                key = "accept";
                is_accept = true;
                alignment = centered;
                mnemonic = "R";
            }
            : button {
                label = "Run in Demo Mode";
                key = "cancel";
                is_cancel = true;
                alignment = centered;
                mnemonic = "D";
            }
            : button {
                label = "View ReadMe File";
                key = "read_me";
                alignment = centered;
                mnemonic = "V";
            }
        }
    }
    errtile;
}
/* ----------------- */
/* CADWRITER: README */
/* ----------------- */
cw_readme : dialog {
    label = " CADWriter ReadMe File ";
    children_alignment = centered;
    : list_box {
        width = 74;
        height = 18;
        key = "readme";
    }
    ok_only;
}
/* -------------------- */
/* CADWRITER: MAIN MENU */
/* -------------------- */
cw_mainmenu : dialog {
    label = " CADWriter ";
    children_alignment = centered;
    initial_focus = "new_doc";

    : button {
        label = "  New  Document ";
        key = "new_doc";
        mnemonic = "N";
        fixed_width = true;
    }
    : button {
        label = "  Edit Document ";
        key = "edit_doc";
        mnemonic = "E";
        fixed_width = true;
    }
    : button {
        label = "Explode Document";
        key = "explode_doc";
        mnemonic = "D";
        fixed_width = true;
    }
    : row {
        : button {
            label = "Cancel";
            is_cancel = true;
            mnemonic = "C";
        }
        : button {
            label = "Help...";
            key = "help";
            mnemonic = "H";
        }
    }
    : text {
        width = 18;
        key = "version";
    }
    : text {
       value = "Copyright (c) 1992";
       width = 18;
    }
    : text {
       value = "CAD Lettering Systems";
       width = 21;
    }

}
/* ------------------------------------------- */
/* CADWRITER: DOCUMENT EDIT OPTIONS DIALOG BOX */
/* ------------------------------------------- */
cw_options : dialog {
    
    label = "CADWriter: Command Menu";

    : boxed_column {
        label = "Editing";
        : row {
            : column {
                : button {
                    label = "Select Text";
                    key = "mark";
                    mnemonic = "S";

                }
                : button {
                    label = "Adjust spacing";
                    key = "spacing";
                    mnemonic = "j";
                }
            }
            : column {
                : row {
                    : button {
                        label = "Cut";
                        key = "cut";
                        mnemonic = "u";
                    }
                    : button {
                        label = "Paste";
                        key = "paste";
                        mnemonic = "a";
                    }
                }
                : row {
                    : button {
                        label = "Copy";
                        key = "copy";
                        mnemonic = "o";
                    }
                    : button {
                        label = "Delete";
                        key = "delete";
                        mnemonic = "e";
                    }
                }
            }   /* cut/copy/paste/del column */
        }
        : row {
            : button {
                label = "Left";
                key = "left";
                mnemonic = "L";
            }
            : button {
                label = "Center";
                key = "center";
                mnemonic = "C";
            }
            : button {
                label = "Right";
                key = "right";
                mnemonic = "R";
            }
        }
        : row {
            : text {
                label = "Paste:";
            }
            : text {
                key  = "paste_item";
                width = 28;
            }
        }

    }   /* boxed_column */

    : boxed_row {
        label = "Display";
        : column {
            : button {
                label = " Zoom Doc";
                key = "zoom_doc";
                mnemonic = "D";
            }
            : button {
                label = " Move Doc";
                key = "move_doc";
                mnemonic = "M";
            }
        }
        : column {
            : button {
                label = "Extents";
                key = "zoom_ext";
                mnemonic = "x";
            }
            : row {
                : button {
                    label = "Pan";
                    key = "pan";
                    mnemonic = "n";
                }
                : button {
                    label = "Redraw";
                    key = "redraw";
                    mnemonic = "a";
                }
            }
        }
        : column {
            : button {
                label = " Window ";
                key = "zoom_win";
                mnemonic = "W";
            }
            : button {
                label = "Previous";
                key = "zoom_prev";
                mnemonic = "v";
            }
        }
    }
    : boxed_row {
        label = "Other";
        : column {
            : button {
                label = "Settings...";
                key = "doc_position";
                mnemonic = "e";
            }
            : button {
                label = "Tabs...";
                key = "tabset";
                mnemonic = "T";

            }
            : button {
                label = "File...";
                key = "imp_exp";
                mnemonic = "F";
            }
        }
        : column {
            : button {
                label = "Find/Replace...";
                key = "search";
                mnemonic = "p";
            }
            : button {
                label = "CADSpeller...";
                key = "spell";
                mnemonic = "p";
            }
            : toggle {
                label = "Line editor";
                key = "cmdline_edit";
                mnemonic = "i";
            }
            spacer;
        }
    }
    spacer;
    ok_cancel_help;
}
/* ---------------------------------- */
/* CADWRITER: NEW DOCUMENT DIALOG BOX */
/* ---------------------------------- */
cw_docparms : dialog {
    label = "CADWriter: Document Settings";
    margins;
    textinfo ;
    spacer_1;
    ok_cancel_help_errtile;
}
/* ------------------------- */
/* CADWRITER: SEARCH/REPLACE */
/* ------------------------- */
cw_search : dialog {
    label = "CADWriter: Find/Replace";
    initial_focus = "search_str";
    : row {
        : column {
            : boxed_radio_column {
                label = "Mode";
                mnemonic = "o";
                fixed_height = true;
                : radio_button {
                    label = "Find only";
                    key = "search";
                }
                : radio_button {
                    label = "Find & Replace";
                    key = "replace";
                }
            }
            : row {
                : toggle {
                    label = "Match Case";
                    key = "case_sense";
                    mnemonic = "M";
                    alignment = centered;
                }
            }
        }
        : column {
            : boxed_radio_column {
            fixed_height = true;
                label = "Search";
                mnemonic = "c";
                : radio_button {
                    label = "Entire document";
                    key = "entire_doc";
                }
                : radio_button {
                    label = "From cursor";
                    key = "from_cursor";
                }
            }
        }
    }
    : column {
        :edit_box {
            label = "   Find What:";
            key = "search_str";
            edit_width = 30;
            mnemonic = "W";
        }
        :edit_box {
            label = "Replace With:";
            key = "replace_str";
            edit_width = 30;
            mnemonic = "R";
        }
    }
    : column {
        : row {
            : button {
                label = " Find ";
                key = "find";
                fixed_width = true;
                mnemonic = "F";
            }
            : button {
                label = "Find Next";
                key = "find_next";
                fixed_width = true;
                mnemonic = "n";
            }
            : button {
                label = "Replace";
                key = "replace_butn";
                fixed_width = true;
                mnemonic = "e";
            }
            : button {
                label = "Replace All";
                key = "replace_all_butn";
                fixed_width = true;
                mnemonic = "A";
            }
            fixed_width = true;
            alignment = centered;
        }
    }
    spacer;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "Exit";
            key = "exit";
            mnemonic = "x";
            is_cancel = true;
            fixed_width = true;
            width = 10;
            alignment = centered;
        }
        : button {
            label = "Help...";
            key = "help";
            mnemonic = "H";
            width = 10;
            fixed_width = true;
            alignment = centered;
        }
    }
    errtile;
}
/* --------------- */
/* CADWRITER: TABS */
/* --------------- */
cw_tabs : dialog {
    label = " CADWriter: Tabs Stops ";
    : column {
        : row {
            spacer_1;
            : column {
                children_alignment = right;
                : text {
                    label = "Document Width:";
                }
                : text {
                    label = "   Text Height:";
                }
                fixed_width = true;
            }
            : column {
                children_alignment = left;
                : text {
                    key = "d_wid";
                    width = 10;
                }
                : text {
                    key = "t_hgt";
                    width = 10;
                }
                fixed_width = true;
            }
            spacer_1;
        }
        spacer;
        : boxed_row {
            label = "Default Tab Width";
            mnemonic = "D";
            : edit_box {
                key = "tab_def";
                edit_width = 10;
            }
            : slider {
                key = "tab_slider";
                is_tab_stop = false;
                min_value = 0;
                max_value = 1000;
                width = 18;
            }
        }
        : boxed_row {
            label = "Tab Stops";
            fixed_height = true;
            alignment = centered;
            : row {
                : column {
                    : edit_box {
                        label = "Position:";
                        key = "tab_edit";
                        mnemonic = "T";
                        edit_width = 10;
                    }
                    : button {
                        label = "    Set    ";
                        key = "tab_set";
                        mnemonic = "S";
                    }
                    : button {
                        label = "   Clear   ";
                        key = "tab_clr";
                        mnemonic = "C";
                    }
                    : button {
                        label = " Clear All ";
                        key = "tab_clrall";
                        mnemonic = "A";
                    }
                    spacer;
                }
                : list_box {
                    height = 6;
                    width = 12;
                    key = "tab_list";
                }
            }
        }
    }
    spacer;
    ok_cancel_help_errtile;
}
/* ---------------- */
/* IMPORT TEXT/FILE */
/* ---------------- */
cw_file_type : dialog {
    label = "CADWriter: Import/Export";
    : button {
        label = "Merge Text Entities";
        key = "imp_text";
        mnemonic = "M";
        fixed_width = true;
        alignment = centered;
    }
    : button {  
        label = " Import ASCII File ";
        key = "imp_file";
        mnemonic = "I";
        fixed_width = true;
        alignment = centered;
    }
    : button {  
        label = " Export ASCII File ";
        key = "exp_file";
        mnemonic = "E";
        fixed_width = true;
        alignment = centered;
    }
    spacer;
    : row {
        fixed_width = true;
        alignment = centered;
        : button {
            label = " Cancel ";
            fixed_width = true;
            is_cancel = true;
            key = "cancel";
            mnemonic = "C";
            alignment = centered;
        }
        : button {
            label = " Help...";
            fixed_width = true;
            key = "help";
            mnemonic = "H";
            alignment = centered;
        }
    }
}
/* ------------------- */
/* CADWRITER: PERCENTS */
/* ------------------- */
cw_percent : dialog {
    label = "CADWriter: Special Characters";
    : column {
        : boxed_row {
            label = "Select Symbol";
            : button {
                label = " Degrees ";
                key = "degrees";
                mnemonic = "e";
            }
            : button {
                label = " Diameter";
                key = "diameter";
                mnemonic = "i";
            }
            : button {
                label = "Tolerance";
                key = "tolerance";
                mnemonic = "o";
            }
        }
        : boxed_row {
            label = "or Enter";
            : edit_box {
                label = "Numeric value:";
                key = "percent_edit";
                mnemonic = "v";
            }
        }
    }
    ok_cancel_help_errtile;
}
/* ---------------------- */
/* SPELL CHECKER */
/* ---------------------- */
cw_qword : dialog {
    label = "CADSpeller: Word not in dictionary";
    :boxed_row {
        label = "Word in context:";
        :text {
            key = "curtxt";
            width = 36;     /* do not remove */
        }
    }
    : row {
        mnemonic = "C";
        : edit_box {
            label = "Replace with:";
            key = "sugword";
            edit_width = 24;
            edit_limit = 24;
            mnemonic = "l";
        }
    }
    : row {
        : list_box {
            key = "suglist";
            mnemonic = "S";
            height = 7;
        }
        : column {
            fixed_width = true;
            : button {
                label = "Replace";
                key = "replace";
                mnemonic = "R";
            }
            : button {
                label = "Replace all";
                key = "replace_all";
                mnemonic = "e";
            }
            : button {
                label = "Ignore";
                key = "ignore";
                mnemonic = "I";
            }
            : button {
                label = "Ignore all";
                key = "ignore_all";
                mnemonic = "g";
            }
            : button {
                label = "Add to Dict";
                key = "add";
                mnemonic = "A";
            }
        }
    }
    : row {
        spacer_1;
        : button {
            label = " Exit ";
            key = "cancel";
            is_cancel = true;
            width = 14;
            mnemonic = "x";
            fixed_width = true;
            alignment = centered;
        }
        : button {
            label = "Help...";
            key = "help";
            width = 14;
            mnemonic = "H";
            fixed_width = true;
            alignment = centered;
        }
        spacer_1;
    }
}
/* ------------------------------------ */
/* CADWRITER: SAVE/DISCARD/CANCEL EDITS */
/* ------------------------------------ */
cw_docmod : dialog {
    label = "Closing CADWriter Document";
    initial_focus = "save";
    : column {
        fixed_width = true;
        alignment = centered;
        : button {
            label = "  Save Changes  ";
            mnemonic = "S";
            key = "save";
        }
        : button {
            label = "Discard  Changes";
            mnemonic = "D";
            key = "discard";
        }
        : button {
            label = "Continue Editing";
            is_cancel = true;
            mnemonic = "C";
            key = "cancel";
        }
    }
}
/* -------------------------- */
/* CADWRITER: GENERAL MESSAGE */
/* -------------------------- */
cw_message : dialog {
    label = "CADWriter: Message";
    children_alignment = centered;
    initial_focus = "accept";
    : text {
        width = 32;
        key = t1;
    }
    : text {
        width = 32;
        key = t2;
    }
    : text {
        width = 32;
        key = t3;
    }
    : text {
        width = 32;
        key = t4;
    }
    : text {
        width = 32;
        key = t5;
    }
    : row {
        fixed_width = true;
        : button {
            label = " Yes ";
            key = "accept";
            width = 10;
            mnemonic = "Y";
        }
        : button {
            label = " No ";
            key = "cancel";
            is_cancel = true;
            width = 10;
            mnemonic = "N";
        }
    }
}

/* ----------------------------- */
/* PREDEFINED TEXT SETTINGS TILE */
/* ----------------------------- */
textinfo : boxed_column {
    : popup_list {
        label = " Style:";
        key = "sty_list";
        mnemonic = "S";
        accept = true;
    }
    : column {
        : row {
            : edit_box {
                label = "Height:";
                edit_width = 8;
                key = "sty_hgt";
                fixed_width = true;
                alignment = right;
                mnemonic = "H";
                accept = true;
            }
            : edit_box {
                label = "Width Factor:";
                edit_width = 8;
                key = "sty_wid";
                fixed_width = true;
                alignment = right;
                mnemonic = "F";
                accept = true;
            }
        }
    }
    : row {
        spacer;
        : toggle {
            label = "Auto Kern";
            key = "autokern";
            mnemonic = "K";
            accept = true;
        }
        : edit_box {
            label = "Line Spacing:";
            key = "ch_lf";
            edit_width = 8;
            alignment = right;
            fixed_width = true;
            mnemonic = "L";
            accept = true;
        }
    }
}
/* -------------------------------------- */
/* PREDEFINED JUSTIFICATION SETTINGS TILE */
/* -------------------------------------- */
justify : boxed_radio_row {
    label = "Justification";
    : radio_button {
        label = "Left";
        key = ljust;
        value = "1";
        mnemonic = "L";
    }
    : radio_button {
        label = "Center";
        key = cjust;
        mnemonic = "C";
    }
    : radio_button {
        label = "Right";
        key = rjust;
        mnemonic = "R";
    }
}
/* ------------------------------- */
/* PREDEFINED MARGIN SETTINGS TILE */
/* ------------------------------- */
margins : boxed_row {
    : column {
        fixed_width = true;
        : text {
            value = "Margin Settings";
        }
        : button {
            label = "Place Document <";
            key = "pick_margins";
            alignment = right;
            mnemonic = "P";
        }
        : edit_box {    
            label = "   Width:";
            key = "doc_wid";
            edit_width = 10;
            mnemonic = "W";
            accept = true;
        }
        : edit_box {
            label = "Rotation:";
            key = "doc_rot";
            mnemonic = "R";
            accept = true;
        }
    }
    : column {
        label = "Top left corner";
        fixed_width = true;
        : edit_box {
            label = "X:";
            key = "ins_x";
            mnemonic = "X";
            accept = true;
        }
        : edit_box {
            label = "Y:";
            key = "ins_y";
            mnemonic = "Y";
            accept = true;
        }
        : edit_box {
            label = "Z:";
            key = "ins_z";
            mnemonic = "Z";
            accept = true;
        }
    }
}
/* --------------- */
/* EOF cadwrit.dcl */
/* --------------- */
